<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>eRPC Generator (erpcgen): Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
<link href="customdoxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eRPC Generator (erpcgen)
   &#160;<span id="projectnumber">Rev. 1.4.0</span>
   </div>
   <div id="projectbrief">NXP Semiconductors</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('classerpcgen_1_1_union_type.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">erpcgen::UnionType Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classerpcgen_1_1_union_type.html">erpcgen::UnionType</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classerpcgen_1_1_data_type.html#a7b5230551817ee50d98d111d06212068">_data_type</a> enum name</td><td class="entry"><a class="el" href="classerpcgen_1_1_data_type.html">erpcgen::DataType</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classerpcgen_1_1_symbol.html#a828866509c0ee041aaf7e31ab18cf2da">addAnnotation</a>(const Annotation &amp;a)</td><td class="entry"><a class="el" href="classerpcgen_1_1_symbol.html">erpcgen::Symbol</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classerpcgen_1_1_union_type.html#ab43e74456e7e9ca2c869b764fef5ad48">addCase</a>(UnionCase *unionCase)</td><td class="entry"><a class="el" href="classerpcgen_1_1_union_type.html">erpcgen::UnionType</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classerpcgen_1_1_union_type.html#ac8c6e128c8891eaa4b12cfaebd751de0">addUnionMemberDeclaration</a>(const std::string &amp;name, DataType *dataType)</td><td class="entry"><a class="el" href="classerpcgen_1_1_union_type.html">erpcgen::UnionType</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>case_vector_t</b> typedef (defined in <a class="el" href="classerpcgen_1_1_union_type.html">erpcgen::UnionType</a>)</td><td class="entry"><a class="el" href="classerpcgen_1_1_union_type.html">erpcgen::UnionType</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classerpcgen_1_1_data_type.html#a9d4746d1a76e940c16217fe6ccb02e7e">DataType</a>(_data_type dataType)</td><td class="entry"><a class="el" href="classerpcgen_1_1_data_type.html">erpcgen::DataType</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classerpcgen_1_1_data_type.html#ab15c1464b00f40e42b81a1bc4369d3e8">DataType</a>(const std::string &amp;name, _data_type dataType)</td><td class="entry"><a class="el" href="classerpcgen_1_1_data_type.html">erpcgen::DataType</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classerpcgen_1_1_data_type.html#a7ca5a9bd08f03f89a63a56027bb047ab">DataType</a>(const std::string &amp;name, _data_type dataType, symbol_type_t symbolType)</td><td class="entry"><a class="el" href="classerpcgen_1_1_data_type.html">erpcgen::DataType</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classerpcgen_1_1_data_type.html#a0141daa9d2ac3dfc7e0331e44fd293f4">DataType</a>(const Token &amp;tok, _data_type dataType, symbol_type_t symbolType)</td><td class="entry"><a class="el" href="classerpcgen_1_1_data_type.html">erpcgen::DataType</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classerpcgen_1_1_union_type.html#aa6f52fad4452caf804800c9a01726aca">declarationExists</a>(const std::string &amp;name)</td><td class="entry"><a class="el" href="classerpcgen_1_1_union_type.html">erpcgen::UnionType</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classerpcgen_1_1_symbol.html#a674a1dff60207fa512a2a2b7b7146c3b">findAnnotation</a>(std::string name)</td><td class="entry"><a class="el" href="classerpcgen_1_1_symbol.html">erpcgen::Symbol</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classerpcgen_1_1_symbol.html#a8ac0fa46b91ae20ff49c62cfab29a810">getAnnotations</a>(std::string name)</td><td class="entry"><a class="el" href="classerpcgen_1_1_symbol.html">erpcgen::Symbol</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classerpcgen_1_1_union_type.html#a48dfb389a100918e91bcef2203e0ad4a">getCases</a>()</td><td class="entry"><a class="el" href="classerpcgen_1_1_union_type.html">erpcgen::UnionType</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classerpcgen_1_1_data_type.html#a419dd8a1abb25920c2cfccacb9f77f8e">getDataType</a>() const </td><td class="entry"><a class="el" href="classerpcgen_1_1_data_type.html">erpcgen::DataType</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classerpcgen_1_1_union_type.html#ae8ca991afd47858d15e1cea0a37f27b5">getDescription</a>() const </td><td class="entry"><a class="el" href="classerpcgen_1_1_union_type.html">erpcgen::UnionType</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classerpcgen_1_1_union_type.html#a24ba483c24634b07d88677d775e72fcb">getDiscriminatorName</a>()</td><td class="entry"><a class="el" href="classerpcgen_1_1_union_type.html">erpcgen::UnionType</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classerpcgen_1_1_symbol.html#a927c69a16cbb47ca6c8d5b4f8a213887">getFirstLine</a>() const </td><td class="entry"><a class="el" href="classerpcgen_1_1_symbol.html">erpcgen::Symbol</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classerpcgen_1_1_symbol.html#acec60e332ab5bf223e8c5d92f9a732f0">getIlComment</a>()</td><td class="entry"><a class="el" href="classerpcgen_1_1_symbol.html">erpcgen::Symbol</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classerpcgen_1_1_symbol.html#a00bb74bbfea291f784e65484bf54664b">getLastLine</a>() const </td><td class="entry"><a class="el" href="classerpcgen_1_1_symbol.html">erpcgen::Symbol</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classerpcgen_1_1_symbol.html#a44f21abf207fcdda09415d1eaa32f348">getLocation</a>()</td><td class="entry"><a class="el" href="classerpcgen_1_1_symbol.html">erpcgen::Symbol</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classerpcgen_1_1_symbol.html#a85fc3b86b1d1935f3017f8d5db3a2111">getMlComment</a>()</td><td class="entry"><a class="el" href="classerpcgen_1_1_symbol.html">erpcgen::Symbol</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classerpcgen_1_1_symbol.html#a84c290b9cf7672b0f94aea9ff27acf1f">getName</a>() const </td><td class="entry"><a class="el" href="classerpcgen_1_1_symbol.html">erpcgen::Symbol</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classerpcgen_1_1_union_type.html#a6f25e14871e1ff00a579a09b255c746f">getParentStruct</a>()</td><td class="entry"><a class="el" href="classerpcgen_1_1_union_type.html">erpcgen::UnionType</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classerpcgen_1_1_symbol.html#acc2311d1d0acf78dc31a86c7959ce34e">getSymbolType</a>() const </td><td class="entry"><a class="el" href="classerpcgen_1_1_symbol.html">erpcgen::Symbol</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classerpcgen_1_1_data_type.html#a3f310d7f1d272a9389ad285ba920134a">getTrueContainerDataType</a>()</td><td class="entry"><a class="el" href="classerpcgen_1_1_data_type.html">erpcgen::DataType</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classerpcgen_1_1_data_type.html#a5a996dbde6578d38f035695c6a567bab">getTrueDataType</a>()</td><td class="entry"><a class="el" href="classerpcgen_1_1_data_type.html">erpcgen::DataType</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classerpcgen_1_1_union_type.html#a5e3e218d7ca62202024b716e65049c7a">getUnionMemberDeclaration</a>(const std::string &amp;name)</td><td class="entry"><a class="el" href="classerpcgen_1_1_union_type.html">erpcgen::UnionType</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classerpcgen_1_1_union_type.html#ad3f4faf0ca9bb525d1e8c15a44030018">getUnionMemberDeclarations</a>()</td><td class="entry"><a class="el" href="classerpcgen_1_1_union_type.html">erpcgen::UnionType</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classerpcgen_1_1_union_type.html#a5f91fb1760b5014e39f8ed1de5deeb70">getUniqueCases</a>()</td><td class="entry"><a class="el" href="classerpcgen_1_1_union_type.html">erpcgen::UnionType</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classerpcgen_1_1_data_type.html#a68c92086e4cfadcf8a8fd5063fed070d">isAlias</a>() const </td><td class="entry"><a class="el" href="classerpcgen_1_1_data_type.html">erpcgen::DataType</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classerpcgen_1_1_data_type.html#a9c4c85f49b5d199ae23326daf228e1d2">isArray</a>() const </td><td class="entry"><a class="el" href="classerpcgen_1_1_data_type.html">erpcgen::DataType</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classerpcgen_1_1_data_type.html#a1be5c32e9ccf8d694c0fd10f15e04e6e">isBinary</a>() const </td><td class="entry"><a class="el" href="classerpcgen_1_1_data_type.html">erpcgen::DataType</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classerpcgen_1_1_data_type.html#a9431e09a25ce91aaa8e8301ced975d92">isBuiltin</a>() const </td><td class="entry"><a class="el" href="classerpcgen_1_1_data_type.html">erpcgen::DataType</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classerpcgen_1_1_data_type.html#ac9a2e6e456ae83bcca8a9f0946a5d317">isEnum</a>() const </td><td class="entry"><a class="el" href="classerpcgen_1_1_data_type.html">erpcgen::DataType</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classerpcgen_1_1_data_type.html#a6b8242766c0018450af0e4da4954139c">isList</a>() const </td><td class="entry"><a class="el" href="classerpcgen_1_1_data_type.html">erpcgen::DataType</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classerpcgen_1_1_data_type.html#ab5c453e35889dd4d64ed621a9470b806">isString</a>() const </td><td class="entry"><a class="el" href="classerpcgen_1_1_data_type.html">erpcgen::DataType</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classerpcgen_1_1_data_type.html#a9fc5f7de98a3c8f1067b832ec4723494">isStruct</a>() const </td><td class="entry"><a class="el" href="classerpcgen_1_1_data_type.html">erpcgen::DataType</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classerpcgen_1_1_union_type.html#a3eac98c19587d456ad2f2f8c596baebb">isUnion</a>() const </td><td class="entry"><a class="el" href="classerpcgen_1_1_union_type.html">erpcgen::UnionType</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classerpcgen_1_1_data_type.html#a19952c8dc8ef8c4c5041fcf3cd26ae8e">isVoid</a>() const </td><td class="entry"><a class="el" href="classerpcgen_1_1_data_type.html">erpcgen::DataType</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>kAliasType</b> enum value (defined in <a class="el" href="classerpcgen_1_1_data_type.html">erpcgen::DataType</a>)</td><td class="entry"><a class="el" href="classerpcgen_1_1_data_type.html">erpcgen::DataType</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>kAliasTypeSymbol</b> enum value (defined in <a class="el" href="classerpcgen_1_1_symbol.html">erpcgen::Symbol</a>)</td><td class="entry"><a class="el" href="classerpcgen_1_1_symbol.html">erpcgen::Symbol</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>kArrayType</b> enum value (defined in <a class="el" href="classerpcgen_1_1_data_type.html">erpcgen::DataType</a>)</td><td class="entry"><a class="el" href="classerpcgen_1_1_data_type.html">erpcgen::DataType</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>kArrayTypeSymbol</b> enum value (defined in <a class="el" href="classerpcgen_1_1_symbol.html">erpcgen::Symbol</a>)</td><td class="entry"><a class="el" href="classerpcgen_1_1_symbol.html">erpcgen::Symbol</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>kBuiltinType</b> enum value (defined in <a class="el" href="classerpcgen_1_1_data_type.html">erpcgen::DataType</a>)</td><td class="entry"><a class="el" href="classerpcgen_1_1_data_type.html">erpcgen::DataType</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>kBuiltinTypeSymbol</b> enum value (defined in <a class="el" href="classerpcgen_1_1_symbol.html">erpcgen::Symbol</a>)</td><td class="entry"><a class="el" href="classerpcgen_1_1_symbol.html">erpcgen::Symbol</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>kConstSymbol</b> enum value (defined in <a class="el" href="classerpcgen_1_1_symbol.html">erpcgen::Symbol</a>)</td><td class="entry"><a class="el" href="classerpcgen_1_1_symbol.html">erpcgen::Symbol</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>kEnumMemberSymbol</b> enum value (defined in <a class="el" href="classerpcgen_1_1_symbol.html">erpcgen::Symbol</a>)</td><td class="entry"><a class="el" href="classerpcgen_1_1_symbol.html">erpcgen::Symbol</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>kEnumType</b> enum value (defined in <a class="el" href="classerpcgen_1_1_data_type.html">erpcgen::DataType</a>)</td><td class="entry"><a class="el" href="classerpcgen_1_1_data_type.html">erpcgen::DataType</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>kEnumTypeSymbol</b> enum value (defined in <a class="el" href="classerpcgen_1_1_symbol.html">erpcgen::Symbol</a>)</td><td class="entry"><a class="el" href="classerpcgen_1_1_symbol.html">erpcgen::Symbol</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>kFunctionSymbol</b> enum value (defined in <a class="el" href="classerpcgen_1_1_symbol.html">erpcgen::Symbol</a>)</td><td class="entry"><a class="el" href="classerpcgen_1_1_symbol.html">erpcgen::Symbol</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>kInterfaceSymbol</b> enum value (defined in <a class="el" href="classerpcgen_1_1_symbol.html">erpcgen::Symbol</a>)</td><td class="entry"><a class="el" href="classerpcgen_1_1_symbol.html">erpcgen::Symbol</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>kListType</b> enum value (defined in <a class="el" href="classerpcgen_1_1_data_type.html">erpcgen::DataType</a>)</td><td class="entry"><a class="el" href="classerpcgen_1_1_data_type.html">erpcgen::DataType</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>kListTypeSymbol</b> enum value (defined in <a class="el" href="classerpcgen_1_1_symbol.html">erpcgen::Symbol</a>)</td><td class="entry"><a class="el" href="classerpcgen_1_1_symbol.html">erpcgen::Symbol</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>kProgramSymbol</b> enum value (defined in <a class="el" href="classerpcgen_1_1_symbol.html">erpcgen::Symbol</a>)</td><td class="entry"><a class="el" href="classerpcgen_1_1_symbol.html">erpcgen::Symbol</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>kStructMemberSymbol</b> enum value (defined in <a class="el" href="classerpcgen_1_1_symbol.html">erpcgen::Symbol</a>)</td><td class="entry"><a class="el" href="classerpcgen_1_1_symbol.html">erpcgen::Symbol</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>kStructType</b> enum value (defined in <a class="el" href="classerpcgen_1_1_data_type.html">erpcgen::DataType</a>)</td><td class="entry"><a class="el" href="classerpcgen_1_1_data_type.html">erpcgen::DataType</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>kStructTypeSymbol</b> enum value (defined in <a class="el" href="classerpcgen_1_1_symbol.html">erpcgen::Symbol</a>)</td><td class="entry"><a class="el" href="classerpcgen_1_1_symbol.html">erpcgen::Symbol</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>kTypenameSymbol</b> enum value (defined in <a class="el" href="classerpcgen_1_1_symbol.html">erpcgen::Symbol</a>)</td><td class="entry"><a class="el" href="classerpcgen_1_1_symbol.html">erpcgen::Symbol</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>kUnionCaseTypeSymbol</b> enum value (defined in <a class="el" href="classerpcgen_1_1_symbol.html">erpcgen::Symbol</a>)</td><td class="entry"><a class="el" href="classerpcgen_1_1_symbol.html">erpcgen::Symbol</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>kUnionType</b> enum value (defined in <a class="el" href="classerpcgen_1_1_data_type.html">erpcgen::DataType</a>)</td><td class="entry"><a class="el" href="classerpcgen_1_1_data_type.html">erpcgen::DataType</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>kUnionTypeSymbol</b> enum value (defined in <a class="el" href="classerpcgen_1_1_symbol.html">erpcgen::Symbol</a>)</td><td class="entry"><a class="el" href="classerpcgen_1_1_symbol.html">erpcgen::Symbol</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>kVoidType</b> enum value (defined in <a class="el" href="classerpcgen_1_1_data_type.html">erpcgen::DataType</a>)</td><td class="entry"><a class="el" href="classerpcgen_1_1_data_type.html">erpcgen::DataType</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classerpcgen_1_1_symbol.html#a838f7ea24ae2e3ce3b433e7cf9e412ef">m_annotations</a></td><td class="entry"><a class="el" href="classerpcgen_1_1_symbol.html">erpcgen::Symbol</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classerpcgen_1_1_data_type.html#a49a55bec8ce5196abe868e7209347fbe">m_dataType</a></td><td class="entry"><a class="el" href="classerpcgen_1_1_data_type.html">erpcgen::DataType</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classerpcgen_1_1_symbol.html#a7b5379e1abc8720a74777fcc324d50cd">m_ilComment</a></td><td class="entry"><a class="el" href="classerpcgen_1_1_symbol.html">erpcgen::Symbol</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classerpcgen_1_1_symbol.html#aa7a023da7b592e5a249229fb48991b8d">m_location</a></td><td class="entry"><a class="el" href="classerpcgen_1_1_symbol.html">erpcgen::Symbol</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classerpcgen_1_1_symbol.html#aade834e1514a288e91507301a19001c3">m_mlComment</a></td><td class="entry"><a class="el" href="classerpcgen_1_1_symbol.html">erpcgen::Symbol</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classerpcgen_1_1_symbol.html#a44f5d0a78d9057c134a9eba696153cda">m_name</a></td><td class="entry"><a class="el" href="classerpcgen_1_1_symbol.html">erpcgen::Symbol</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classerpcgen_1_1_symbol.html#aeeb41dba8237bddee39709f3d3ccd0ba">m_symbolType</a></td><td class="entry"><a class="el" href="classerpcgen_1_1_symbol.html">erpcgen::Symbol</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>memberDecl_vector_t</b> typedef (defined in <a class="el" href="classerpcgen_1_1_union_type.html">erpcgen::UnionType</a>)</td><td class="entry"><a class="el" href="classerpcgen_1_1_union_type.html">erpcgen::UnionType</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classerpcgen_1_1_symbol.html#aa3f9fe166df63e096228de582e87248b">printAnnotations</a>()</td><td class="entry"><a class="el" href="classerpcgen_1_1_symbol.html">erpcgen::Symbol</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classerpcgen_1_1_union_type.html#a94ec8e87dffb97cb13712c58beb9d635">printUnionMembers</a>()</td><td class="entry"><a class="el" href="classerpcgen_1_1_union_type.html">erpcgen::UnionType</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classerpcgen_1_1_symbol.html#a9cf5481c123404b46a6574135ff6631e">setIlComment</a>(std::string comment)</td><td class="entry"><a class="el" href="classerpcgen_1_1_symbol.html">erpcgen::Symbol</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classerpcgen_1_1_symbol.html#a3b4712d9a59eee5c377b235d995ec776">setLocation</a>(const token_loc_t &amp;loc)</td><td class="entry"><a class="el" href="classerpcgen_1_1_symbol.html">erpcgen::Symbol</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classerpcgen_1_1_symbol.html#adfff1c0850b243effae7c8c9911f2f53">setMlComment</a>(std::string comment)</td><td class="entry"><a class="el" href="classerpcgen_1_1_symbol.html">erpcgen::Symbol</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classerpcgen_1_1_symbol.html#af3a2dbfad1b23fbdfa3ef6e3812ad357">setName</a>(const std::string &amp;newName)</td><td class="entry"><a class="el" href="classerpcgen_1_1_symbol.html">erpcgen::Symbol</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classerpcgen_1_1_union_type.html#aa582892d62ea3855f3fb9fabf0e6de0a">setParentStruct</a>(StructType *parent)</td><td class="entry"><a class="el" href="classerpcgen_1_1_union_type.html">erpcgen::UnionType</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classerpcgen_1_1_symbol.html#a7d6a966d4c2d00f4e7e40c30796be532">Symbol</a>(symbol_type_t symType)</td><td class="entry"><a class="el" href="classerpcgen_1_1_symbol.html">erpcgen::Symbol</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classerpcgen_1_1_symbol.html#ac969b4105dddf248d163cdb10385efe1">Symbol</a>(symbol_type_t symType, const std::string &amp;name)</td><td class="entry"><a class="el" href="classerpcgen_1_1_symbol.html">erpcgen::Symbol</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classerpcgen_1_1_symbol.html#a3274ccd412cc221e15976cc93c71b95d">Symbol</a>(symbol_type_t symType, const Token &amp;tok)</td><td class="entry"><a class="el" href="classerpcgen_1_1_symbol.html">erpcgen::Symbol</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classerpcgen_1_1_symbol.html#a41dbbe424222a8e9b4b73c390cf06775">symbol_type_t</a> enum name</td><td class="entry"><a class="el" href="classerpcgen_1_1_symbol.html">erpcgen::Symbol</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classerpcgen_1_1_union_type.html#a8a458b46a9531a34a22a84f9f8aa842d">UnionType</a>(const std::string &amp;name, const std::string &amp;discriminatorName)</td><td class="entry"><a class="el" href="classerpcgen_1_1_union_type.html">erpcgen::UnionType</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classerpcgen_1_1_symbol.html#a9a32f65a99da47b8a281926bc3770880">~Symbol</a>()</td><td class="entry"><a class="el" href="classerpcgen_1_1_symbol.html">erpcgen::Symbol</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
</table></div><!-- contents -->
</div><!-- doc-content -->
<!-- HTML footer for doxygen 1.8.5-->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul class="foot">
    <li class="footer">&copy; 2016 NXP Semiconductors. All rights reserved.
    </li>
  </ul>
</div>
</body>
</html>
